//
// Created by IgorBat on 23.04.2018.
//

#ifndef GAME_CLIENT_SELFHEAL_H
#define GAME_CLIENT_SELFHEAL_H
#include <cassert>
#include "spells\spell.h"

class SelfHealSpell : public Spell {
public:
    SelfHealSpell(QString param) : Spell(param) {}

    void CastSpell(Cell* from, Cell* where, Unit* who, Unit* whom) override;
    bool canCastToCell(Cell* destination, Cell* from) override;
};

#endif //GAME_CLIENT_SELFHEAL_H
